Upstream information

CVE-2022-31783 at MITRE

Description

Liblouis 3.21.0 has an out-of-bounds write in compileRule in compileTranslationTable.c, as demonstrated by lou_trace.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 6.1
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None Low
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1200120 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2022-2252
SUSE Enterprise Storage 6
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-Storage-6-2022-2252
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-2184
SUSE Enterprise Storage 7
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-Storage-7-2022-2184
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • liblouis-data >= 3.20.0-150400.3.3.1
  • liblouis-devel >= 3.20.0-150400.3.3.1
  • liblouis20 >= 3.20.0-150400.3.3.1
  • python3-louis >= 3.20.0-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP4-2022-2298
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2022-2252
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2022-2252
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-2184
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-2184
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-HPC-15-2022-2252
SUSE Linux Enterprise Server 15 SP1-BCL
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2022-2252
SUSE Linux Enterprise Server 15 SP1-LTSS
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2022-2252
SUSE Linux Enterprise Server 15 SP2-BCL
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-2184
SUSE Linux Enterprise Server 15 SP2-LTSS
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-2184
SUSE Linux Enterprise Server 15-LTSS
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-SLES-15-2022-2252
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2022-2252
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-2184
SUSE Linux Enterprise Server for SAP Applications 15
  • liblouis-data >= 3.3.0-150000.4.8.1
  • liblouis-devel >= 3.3.0-150000.4.8.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • python3-louis >= 3.3.0-150000.4.8.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2022-2252
SUSE Manager Proxy 4.1
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-2184
SUSE Manager Retail Branch Server 4.1
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-2184
SUSE Manager Server 4.1
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-2184
openSUSE Leap 15.3
  • liblouis-data >= 3.11.0-150200.3.3.1
  • liblouis-devel >= 3.11.0-150200.3.3.1
  • liblouis-doc >= 3.11.0-150200.3.3.1
  • liblouis-tools >= 3.11.0-150200.3.3.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • python3-louis >= 3.11.0-150200.3.3.1
Patchnames:
openSUSE-SLE-15.3-2022-2184
openSUSE-SLE-15.3-2022-2252
openSUSE Leap 15.4
  • liblouis-data >= 3.20.0-150400.3.3.1
  • liblouis-devel >= 3.20.0-150400.3.3.1
  • liblouis-doc >= 3.20.0-150400.3.3.1
  • liblouis-tools >= 3.20.0-150400.3.3.1
  • liblouis14 >= 3.3.0-150000.4.8.1
  • liblouis19 >= 3.11.0-150200.3.3.1
  • liblouis20 >= 3.20.0-150400.3.3.1
  • python3-louis >= 3.20.0-150400.3.3.1
Patchnames:
openSUSE-SLE-15.4-2022-2184
openSUSE-SLE-15.4-2022-2252
openSUSE-SLE-15.4-2022-2298
openSUSE Tumbleweed
  • liblouis-data >= 3.21.0-2.1
  • liblouis-devel >= 3.21.0-2.1
  • liblouis-doc >= 3.21.0-2.1
  • liblouis-tools >= 3.21.0-2.1
  • liblouis20 >= 3.21.0-2.1
  • python3-louis >= 3.21.0-2.1
Patchnames:
openSUSE Tumbleweed GA liblouis-data-3.21.0-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 liblouis Released
SUSE Enterprise Storage 7.1 liblouis Released
SUSE Linux Enterprise Desktop 15 SP4 liblouis Released
SUSE Linux Enterprise High Performance Computing 12 SP5 liblouis Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 liblouis Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 liblouis Released
SUSE Linux Enterprise Real Time 15 SP3 liblouis Affected
SUSE Linux Enterprise Server 12 SP5 liblouis Not affected
SUSE Linux Enterprise Server 15 SP4 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 liblouis Released
SUSE Linux Enterprise Software Development Kit 12 SP5 liblouis Not affected
SUSE Manager Proxy 4.2 liblouis Released
SUSE Manager Proxy 4.3 liblouis Released
SUSE Manager Retail Branch Server 4.2 liblouis Released
SUSE Manager Retail Branch Server 4.3 liblouis Released
SUSE Manager Server 4.2 liblouis Released
SUSE Manager Server 4.3 liblouis Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 liblouis Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 liblouis Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP2 liblouis Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP3 liblouis Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS liblouis Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS liblouis Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS liblouis Released
SUSE Linux Enterprise High Performance Computing 15-LTSS liblouis Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 liblouis Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 liblouis Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 liblouis Released
SUSE Linux Enterprise Server 12 SP2-BCL liblouis Not affected
SUSE Linux Enterprise Server 12 SP4 liblouis Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS liblouis Not affected
SUSE Linux Enterprise Server 15 SP1 liblouis Affected
SUSE Linux Enterprise Server 15 SP1-LTSS liblouis Released
SUSE Linux Enterprise Server 15 SP2 liblouis Affected
SUSE Linux Enterprise Server 15 SP2-LTSS liblouis Released
SUSE Linux Enterprise Server 15 SP3 liblouis Released
SUSE Linux Enterprise Server 15 SP3-LTSS liblouis Affected
SUSE Linux Enterprise Server 15-ESPOS liblouis Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 liblouis Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 15 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 liblouis Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 liblouis Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 liblouis Not affected
SUSE CaaS Platform 4.0 liblouis Released
SUSE Enterprise Storage 6 liblouis Released
SUSE Linux Enterprise Desktop 12 SP2 liblouis Not affected
SUSE Linux Enterprise Desktop 12 SP3 liblouis Not affected
SUSE Linux Enterprise Desktop 12 SP4 liblouis Not affected
SUSE Linux Enterprise Desktop 15 liblouis Affected
SUSE Linux Enterprise Desktop 15 SP1 liblouis Affected
SUSE Linux Enterprise Desktop 15 SP2 liblouis Affected
SUSE Linux Enterprise Desktop 15 SP3 liblouis Released
SUSE Linux Enterprise Module for Desktop Applications 15 liblouis Affected
SUSE Linux Enterprise Real Time 15 SP2 liblouis Affected
SUSE Linux Enterprise Server 11 SP3 liblouis Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS liblouis Not affected
SUSE Linux Enterprise Server 11 SP4 liblouis Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS liblouis Not affected
SUSE Linux Enterprise Server 12 SP2 liblouis Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS liblouis Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS liblouis Not affected
SUSE Linux Enterprise Server 12 SP3 liblouis Not affected
SUSE Linux Enterprise Server 12 SP3-BCL liblouis Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS liblouis Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS liblouis Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS liblouis Not affected
SUSE Linux Enterprise Server 15 liblouis Affected
SUSE Linux Enterprise Server 15 SP1-BCL liblouis Released
SUSE Linux Enterprise Server 15 SP2-BCL liblouis Released
SUSE Linux Enterprise Server 15 SP3-BCL liblouis Affected
SUSE Linux Enterprise Server 15-LTSS liblouis Released
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 liblouis Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 liblouis Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 liblouis Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 liblouis Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 liblouis Not affected
SUSE Manager Proxy 4.0 liblouis Affected
SUSE Manager Proxy 4.1 liblouis Released
SUSE Manager Retail Branch Server 4.0 liblouis Affected
SUSE Manager Retail Branch Server 4.1 liblouis Released
SUSE Manager Server 4.0 liblouis Affected
SUSE Manager Server 4.1 liblouis Released
SUSE OpenStack Cloud 7 liblouis Not affected
SUSE OpenStack Cloud 8 liblouis Not affected
SUSE OpenStack Cloud 9 liblouis Not affected
SUSE OpenStack Cloud Crowbar 8 liblouis Not affected
SUSE OpenStack Cloud Crowbar 9 liblouis Not affected


SUSE Timeline for this CVE

CVE page created: Wed Jun 1 12:00:33 2022
CVE page last modified: Fri Jan 20 16:36:54 2023